[med-svn] r3287 - trunk/community/talks/200906_bosc

Steffen Möller smoe-guest at alioth.debian.org
Mon Apr 13 16:56:28 UTC 2009


Author: smoe-guest
Date: 2009-04-13 16:56:28 +0000 (Mon, 13 Apr 2009)
New Revision: 3287

Added:
   trunk/community/talks/200906_bosc/statistics.sh
Modified:
   trunk/community/talks/200906_bosc/abstract.tex
Log:
Added script to analyse the number of med-bio packages in various Debian releases.


Modified: trunk/community/talks/200906_bosc/abstract.tex
===================================================================
--- trunk/community/talks/200906_bosc/abstract.tex	2009-04-12 21:42:13 UTC (rev 3286)
+++ trunk/community/talks/200906_bosc/abstract.tex	2009-04-13 16:56:28 UTC (rev 3287)
@@ -13,11 +13,12 @@
 \section*{Looking back}
 
 In Bioinformatics we are used to associate technological advantage with
-the advacements with wet-lab techniques that bring us a steadily increased 
+the advacements in wet-lab techniques that bring us a steadily increased 
 influx of more and more novel data to manage and interpret. Over that
 we often forget, that this is only possible since the IT sciences have
-evolved even quicker, by keeping pace with the data stream with more
-analyses being applied and even tapping into the combinatorial integration
+evolved even quicker. This allows us to keeping pace with the data stream while
+have more
+analyses being applied and to even tap into the combinatorial integration
 of the wet-lab findings and its presentation back to biological researchers.
 
 When the first Bioinformatics Open Source Conferences (BOSC) were held in the late 90s,

Added: trunk/community/talks/200906_bosc/statistics.sh
===================================================================
--- trunk/community/talks/200906_bosc/statistics.sh	                        (rev 0)
+++ trunk/community/talks/200906_bosc/statistics.sh	2009-04-13 16:56:28 UTC (rev 3287)
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# A quick hack to investigate the distribution
+# of packages in Debian-Med over the past few
+# releases.
+#
+#   Steffen Moeller <moeller at debian.org> 2009
+#   GPLed
+
+set -e
+
+
+# Set of internal variables caring for the counting
+
+numoldstable=0;
+numstable=0;
+numtesting=0;
+numunstable=0;
+
+
+# Quickly inform about the state of affairs
+
+function stats {
+	cat <<EOSTATS
+
+Here the results of the counting:
+
+ oldstable : $numoldstable
+    stable : $numstable
+   testing : $numtesting
+  unstable : $numunstable
+
+EOSTATS
+}
+
+packages=$( apt-cache show med-bio | grep Recommends | cut -f 2 -d: | tr " ,|" "\n"  | sort -u | grep -v '^$' )
+
+for i in $packages
+do
+	echo "Counting $i"
+
+	dd=$( rmadison $i| grep source | cut -f3 -d\| | tr -d " " )
+	for d in $dd
+	do
+		echo "  $d"
+
+		if [ "stable" == "$d" -o "oldstable" == "$d"  -o "testing" == "$d" -o "unstable" == "$d" ]; then
+			let "num$d += 1"
+		elif [ "etch-m68k" != "$d" ]; then
+			echo "Unprepared for '$d'.\n";
+		fi
+	done
+	stats
+done
+


Property changes on: trunk/community/talks/200906_bosc/statistics.sh
___________________________________________________________________
Added: svn:executable
   + *




More information about the debian-med-commit mailing list